Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.dev
Class HWPFLister

    java.lang.Object
      org.apache.poi.hwpf.dev.HWPFLister

    public final class HWPFLister

extends java.lang.Object

Used by developers to list out key information on a HWPF file. End users will probably never need to use this program.

Author:
  Nick Burch (nick at torchbox dot com), Sergey Vladimirov (vlsergey at gmail dot com)

Constructor Summary
`HWPFLister(HWPFDocumentCore doc)`

Method Summary
`void` | `dumpChpx(boolean withProperties, boolean withSprms)`
`void` | `dumpFIB()`
`void` | `dumpFileSystem()`
`void` | `dumpPapx(boolean withProperties, boolean withSprms)`
`void` | `dumpParagraphs(boolean dumpAssotiatedPapx)`
`void` | `dumpParagraphsDom(boolean withText)`
`void` | `dumpTextPieces(boolean withText)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFLister

    public HWPFLister(HWPFDocumentCore doc)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpChpx

    public void dumpChpx(boolean withProperties,
                         boolean withSprms)

### dumpFIB

    public void dumpFIB()

### dumpFileSystem

    public void dumpFileSystem()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpPapx

    public void dumpPapx(boolean withProperties,
                         boolean withSprms)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpParagraphs

    public void dumpParagraphs(boolean dumpAssotiatedPapx)

### dumpParagraphsDom

    public void dumpParagraphsDom(boolean withText)

### dumpTextPieces

    public void dumpTextPieces(boolean withText)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD